'use strict';

module.exports = {
    // Toolchain
    npm: {
        files: ['package.json'],
        taks: ['npm']
    },
    grunt: {
        files: ['Gruntfile.js', 'grunt-config/*.js'],
        tasks: ['grunt']
    },
    // Backend
    requirements: {
        files: ['requirements.txt'],
        tasks: ['beDeps']
    },
    be: {
        files: 'accountant/{,**}/*.py',
        tasks: ['beLint', 'bgShell:runserver']
    },
    // Frontend
    bower: {
        files: 'bower.json',
        tasks: ['feDeps']
    },
    fe: {
        options: {
            livereload: '<%= connect.options.livereload %>'
        },
        files: [
            '<%= accountant.frontend.src %>/{,**}/*',
        ],
        tasks: ['feLint']
    }
};
